OpenVDB 13.0.0

Loading...
Searching...
No Matches
LeafManagerImpl< LeafManager< const TreeT > > Struct Template Reference

`#include <openvdb/tree/LeafManager.h>`

## Public Types
using | ManagerT = LeafManager<const TreeT>
using | RangeT = typename ManagerT::RangeType
using | LeafT = typename ManagerT::LeafType
using | BufT = typename ManagerT::BufferType

## Static Public Member Functions
static void | doSwapLeafBuffer (const RangeT &, size_t, LeafT **, BufT *, size_t)

## Member Typedef Documentation

## ◆ BufT

template<typename TreeT>

using BufT = typename ManagerT::BufferType

## ◆ LeafT

template<typename TreeT>

using LeafT = typename ManagerT::LeafType

## ◆ ManagerT

template<typename TreeT>

using ManagerT = LeafManager<const TreeT>

## ◆ RangeT

template<typename TreeT>

using RangeT = typename ManagerT::RangeType

## Member Function Documentation

## ◆ doSwapLeafBuffer()

template<typename TreeT>

void doSwapLeafBuffer | ( | const RangeT & | ,
|  | size_t | ,
|  | LeafT ** | ,
|  | BufT * | ,
|  | size_t | )
| inline static